[BACK]Return to configure CVS log [TXT][DIR] Up to [local] / OpenXM_contrib2 / asir2000

Diff for /OpenXM_contrib2/asir2000/configure between version 1.17 and 1.29

version 1.17, 2003/03/07 19:21:31 version 1.29, 2004/03/25 16:32:45
Line 838  Optional Features:
Line 838  Optional Features:
   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
   --disable-dependency-tracking Speeds up one-time builds    --disable-dependency-tracking Speeds up one-time builds
   --enable-dependency-tracking  Do not reject slow dependency extractors    --enable-dependency-tracking  Do not reject slow dependency extractors
     --enable-maintainer-mode enable make rules and dependencies not useful
                             (and sometimes confusing) to the casual installer
   --enable-shared         enable linking shared libraries.  [no]    --enable-shared         enable linking shared libraries.  [no]
     --enable-gc-zeropage    enable to avoid the kernel zeropage bug.  [no]
   --enable-plot           enable plot feature. [no]    --enable-plot           enable plot feature. [no]
   --enable-interval       enable interval feature. [no]    --enable-interval       enable interval feature. [no]
   --enable-fft-float      enable FFT-FLOAT feature. [no]    --enable-fft-float      enable FFT-FLOAT feature. [no]
Line 1544  INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s"
Line 1547  INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s"
 # We need awk for the "check" target.  The system "awk" is bad on  # We need awk for the "check" target.  The system "awk" is bad on
 # some platforms.  # some platforms.
   
   echo "$as_me:$LINENO: checking whether to enable maintainer-specific portions of Makefiles" >&5
   echo $ECHO_N "checking whether to enable maintainer-specific portions of Makefiles... $ECHO_C" >&6
       # Check whether --enable-maintainer-mode or --disable-maintainer-mode was given.
   if test "${enable_maintainer_mode+set}" = set; then
     enableval="$enable_maintainer_mode"
     USE_MAINTAINER_MODE=$enableval
   else
     USE_MAINTAINER_MODE=no
   fi;
     echo "$as_me:$LINENO: result: $USE_MAINTAINER_MODE" >&5
   echo "${ECHO_T}$USE_MAINTAINER_MODE" >&6
   
   
   if test $USE_MAINTAINER_MODE = yes; then
     MAINTAINER_MODE_TRUE=
     MAINTAINER_MODE_FALSE='#'
   else
     MAINTAINER_MODE_TRUE='#'
     MAINTAINER_MODE_FALSE=
   fi
     MAINT=$MAINTAINER_MODE_TRUE
   
   
   
 # Make sure we can run config.sub.  # Make sure we can run config.sub.
 $ac_config_sub sun4 >/dev/null 2>&1 ||  $ac_config_sub sun4 >/dev/null 2>&1 ||
   { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5    { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
Line 4103  if test "${ac_test_CFLAGS}" != set -a "${GCC}" = yes ;
Line 4129  if test "${ac_test_CFLAGS}" != set -a "${GCC}" = yes ;
     else      else
         CFLAGS="-O"          CFLAGS="-O"
     fi      fi
   elif test `basename ./"${CC}"` = "icc" ; then
       CFLAGS="-g -O"
 fi  fi
   
   # Check whether --enable-gc-zeropage or --disable-gc-zeropage was given.
   if test "${enable_gc_zeropage+set}" = set; then
     enableval="$enable_gc_zeropage"
     enable_gc_zeropage=yes
   else
     enable_gc_zeropage=no
   fi;
   
   if test "${enable_gc_zeropage:=no}" != no ; then
       USE_GC_ZEROPAGE="yes"
   fi
   
   
 libasir_postfix=""  libasir_postfix=""
   
 # Check whether --with-pari or --without-pari was given.  # Check whether --with-pari or --without-pari was given.
Line 4333  fi
Line 4374  fi
 done  done
   
   
   echo "$as_me:$LINENO: checking for unsigned long long" >&5
   echo $ECHO_N "checking for unsigned long long... $ECHO_C" >&6
   if test "${ac_cv_type_unsigned_long_long+set}" = set; then
     echo $ECHO_N "(cached) $ECHO_C" >&6
   else
     cat >conftest.$ac_ext <<_ACEOF
   #line $LINENO "configure"
   #include "confdefs.h"
   $ac_includes_default
   #ifdef F77_DUMMY_MAIN
   #  ifdef __cplusplus
        extern "C"
   #  endif
      int F77_DUMMY_MAIN() { return 1; }
   #endif
   int
   main ()
   {
   if ((unsigned long long *) 0)
     return 0;
   if (sizeof (unsigned long long))
     return 0;
     ;
     return 0;
   }
   _ACEOF
   rm -f conftest.$ac_objext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     (eval $ac_compile) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); } &&
            { ac_try='test -s conftest.$ac_objext'
     { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     (eval $ac_try) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); }; }; then
     ac_cv_type_unsigned_long_long=yes
   else
     echo "$as_me: failed program was:" >&5
   cat conftest.$ac_ext >&5
   ac_cv_type_unsigned_long_long=no
   fi
   rm -f conftest.$ac_objext conftest.$ac_ext
   fi
   echo "$as_me:$LINENO: result: $ac_cv_type_unsigned_long_long" >&5
   echo "${ECHO_T}$ac_cv_type_unsigned_long_long" >&6
   if test $ac_cv_type_unsigned_long_long = yes; then
   
   cat >>confdefs.h <<_ACEOF
   #define HAVE_UNSIGNED_LONG_LONG 1
   _ACEOF
   
   
   fi
   
 echo "$as_me:$LINENO: checking for long" >&5  echo "$as_me:$LINENO: checking for long" >&5
 echo $ECHO_N "checking for long... $ECHO_C" >&6  echo $ECHO_N "checking for long... $ECHO_C" >&6
 if test "${ac_cv_type_long+set}" = set; then  if test "${ac_cv_type_long+set}" = set; then
Line 4695  cat >>confdefs.h <<_ACEOF
Line 4793  cat >>confdefs.h <<_ACEOF
 _ACEOF  _ACEOF
   
   
 if test SIZEOF_LONG = 8; then  if test "${ac_cv_sizeof_long}" = 8; then
     cat >>confdefs.h <<\_ACEOF      cat >>confdefs.h <<\_ACEOF
 #define LONG_IS_64BIT 1  #define LONG_IS_64BIT 1
 _ACEOF  _ACEOF
Line 4707  _ACEOF
Line 4805  _ACEOF
   
 fi  fi
 if test "${no_x}" != yes ; then  if test "${no_x}" != yes ; then
       if test -f "${x_libraries}/libXpm.a" -o -f "${x_libraries}/libXpm.dll.a" ; then
               XPMLIB="-lXpm"
       fi
     # Check whether --enable-plot or --disable-plot was given.      # Check whether --enable-plot or --disable-plot was given.
 if test "${enable_plot+set}" = set; then  if test "${enable_plot+set}" = set; then
   enableval="$enable_plot"    enableval="$enable_plot"
Line 4716  else
Line 4817  else
 fi;  fi;
 fi  fi
   
   
 if test ${enable_plot:=no} != no ; then  if test ${enable_plot:=no} != no ; then
     libasir_postfix=${libasir_postfix}_X      libasir_postfix=${libasir_postfix}_X
     cat >>confdefs.h <<\_ACEOF      cat >>confdefs.h <<\_ACEOF
Line 4812  sparc_v9_obj="sparc-2.o asm5-2.o edr-2.o"
Line 4914  sparc_v9_obj="sparc-2.o asm5-2.o edr-2.o"
 generic_obj=asmalpha.o  generic_obj=asmalpha.o
   
 case "${host}" in  case "${host}" in
 i[3-6]86-*-freebsd[3-9].*|i[3-6]86-*-linux*)  i[3-6]86-*-freebsd[3-9].*)
     asm_obj="${i386_elf_obj}"      asm_obj="${i386_elf_obj}"
     ;;      ;;
   i[3-6]86-*-linux*|x86-*-linux*)
       asm_obj="${i386_elf_obj}"
       cat >>confdefs.h <<\_ACEOF
   #define _BSD_SOURCE 1
   _ACEOF
   
       ;;
 *-*-cygwin*)  *-*-cygwin*)
     asm_obj="${i386_aout_obj}"      asm_obj="${i386_aout_obj}"
     ;;      ;;
   i[3-6]86-*-interix*)
       asm_obj="${i386_aout_obj}"
       USE_GC_INTERIX="yes"
   
       cat >>confdefs.h <<\_ACEOF
   #define _ALL_SOURCE 1
   _ACEOF
   
       ;;
 sparc-sun-solaris2.*)  sparc-sun-solaris2.*)
     case "`uname -m`" in      case "`uname -m`" in
     sun4[dm]) asm_obj="${sparc_v8_obj}" ;;      sun4[dm]) asm_obj="${sparc_v8_obj}" ;;
Line 4836  powerpc-apple-darwin*)
Line 4954  powerpc-apple-darwin*)
 _ACEOF  _ACEOF
   
     ;;      ;;
   arm*-*-linux*)
       asm_obj="${generic_obj}"
       if test "${ac_test_CFLAGS}" != set -a "${GCC}" = yes ; then
           CFLAGS="${CFLAGS} -fsigned-char"
       fi
       ;;
 *)  *)
     asm_obj="${generic_obj}"      asm_obj="${generic_obj}"
     ;;      ;;
Line 5734  s,@AMDEP_TRUE@,$AMDEP_TRUE,;t t
Line 5858  s,@AMDEP_TRUE@,$AMDEP_TRUE,;t t
 s,@AMDEP_FALSE@,$AMDEP_FALSE,;t t  s,@AMDEP_FALSE@,$AMDEP_FALSE,;t t
 s,@AMDEPBACKSLASH@,$AMDEPBACKSLASH,;t t  s,@AMDEPBACKSLASH@,$AMDEPBACKSLASH,;t t
 s,@DEPDIR@,$DEPDIR,;t t  s,@DEPDIR@,$DEPDIR,;t t
   s,@MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t
   s,@MAINTAINER_MODE_FALSE@,$MAINTAINER_MODE_FALSE,;t t
   s,@MAINT@,$MAINT,;t t
 s,@build@,$build,;t t  s,@build@,$build,;t t
 s,@build_cpu@,$build_cpu,;t t  s,@build_cpu@,$build_cpu,;t t
 s,@build_vendor@,$build_vendor,;t t  s,@build_vendor@,$build_vendor,;t t
Line 5763  s,@X_CFLAGS@,$X_CFLAGS,;t t
Line 5890  s,@X_CFLAGS@,$X_CFLAGS,;t t
 s,@X_PRE_LIBS@,$X_PRE_LIBS,;t t  s,@X_PRE_LIBS@,$X_PRE_LIBS,;t t
 s,@X_LIBS@,$X_LIBS,;t t  s,@X_LIBS@,$X_LIBS,;t t
 s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t  s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t
   s,@USE_GC_ZEROPAGE@,$USE_GC_ZEROPAGE,;t t
 s,@PARIINC@,$PARIINC,;t t  s,@PARIINC@,$PARIINC,;t t
 s,@PARILIB@,$PARILIB,;t t  s,@PARILIB@,$PARILIB,;t t
   s,@XPMLIB@,$XPMLIB,;t t
 s,@USE_PLOT_TRUE@,$USE_PLOT_TRUE,;t t  s,@USE_PLOT_TRUE@,$USE_PLOT_TRUE,;t t
 s,@USE_PLOT_FALSE@,$USE_PLOT_FALSE,;t t  s,@USE_PLOT_FALSE@,$USE_PLOT_FALSE,;t t
 s,@FEPLIB@,$FEPLIB,;t t  s,@FEPLIB@,$FEPLIB,;t t
Line 5772  s,@MPIINC@,$MPIINC,;t t
Line 5901  s,@MPIINC@,$MPIINC,;t t
 s,@MPILIB@,$MPILIB,;t t  s,@MPILIB@,$MPILIB,;t t
 s,@LAPACKLIB@,$LAPACKLIB,;t t  s,@LAPACKLIB@,$LAPACKLIB,;t t
 s,@libasir_postfix@,$libasir_postfix,;t t  s,@libasir_postfix@,$libasir_postfix,;t t
   s,@USE_GC_INTERIX@,$USE_GC_INTERIX,;t t
 s,@asm_obj@,$asm_obj,;t t  s,@asm_obj@,$asm_obj,;t t
 CEOF  CEOF
   

Legend:
Removed from v.1.17  
changed lines
  Added in v.1.29

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>